<!DOCTYPE html>
<html lang="en">
<head>
	<meta charset="UTF-8">
	<title>Document</title>
	<script type="text/javascript" src="1.js"></script>
	<script type="text/javascript">
		/**
		 * Objeto de JS
		 */
		let datosObjeto={
			nombre:"Ramon",
			apellidos:"Abramo"
		};

		/**
		 * Notacion JSON
		 */
		let datosArray={
			"nombre":"Ramon",
			"apellidos":"Abramo"
		};

		/** 
		 * Introduciendo funciones en objetos
		 */ 

		let datos1={
			"nombre":"Ramon",
			"getNombre":function(){
				return (this.nombre).toUpperCase();
			}
		};

		/**
		 * Colocando getter y setter
		 */
		let datos2={
			nombre:"Ramon",
			getNombre:function(){
				return (this.nombre).toUpperCase();
			},
			setNombre:function(valor){
				this.nombre=valor;
				return this;
			}

		};

		let caja={
			"id": "uno",
			"class": "clase1 clase2", 
			"valor": "texto"
		};

	</script>
</head>
<body>
	<div id="salida1">
		<script type="text/javascript">
			document.write(datosObjeto["nombre"]);
		</script>
	</div>
	<div id="salida2">
		<script type="text/javascript">
			document.write(datosObjeto.nombre);
		</script>
	</div>
	<div id="salida3">
		<script type="text/javascript">
			document.write(datosArray["nombre"]);
		</script>
	</div>
	<div id="salida4">
		<script type="text/javascript">
			document.write(datos1.getNombre());
		</script>
	</div>
	<div id="salida5">
		<script type="text/javascript">
			datos2.setNombre("pepito");
			document.write(datos2.getNombre());
		</script>
	</div>
	<div id="salida6">
		<script type="text/javascript">
			document.write(funcion2(datosObjeto));
		</script>
	</div>
	<div id="salida7">
		<script type="text/javascript">
			document.write(Object.values(datosObjeto));
		</script>
	</div>
	<div id="salida8">
		<script type="text/javascript">
			document.write(Object.entries(datosObjeto));
		</script>
	</div>
	<script type="text/javascript">
		// \" escapar las comillas
		// <div id="caja.id" class="caja.class">caja.valor</div>
		
		document.write("<div id=\""+caja.id+"\" class=\""+caja.class+"\"> "+caja.valor+" </div>");
		//document.write("<div id=\""+ caja.id+"\" class=\""+caja.class+\" + +>"+ caja.valor +"</div>");
		// document.write('<div id="">'+ caja.valor +'</div>');
	</script>

</body>
</html>